<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$anocorrente=$sessao->getVar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');

$inicio=1;
$final=30;

$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=62;//nome
             $larg2=8;//endereco
             $larg3=60;//endereco
             $larg4=30;//municipio
             $larg5=18;//telefone
             $larg6=15;//cep
             $larg7=20;//renasem
             $larg8=48;//email
             $larg9=20;//apelido
			$cabecalhoColuna1="Nome";
			$cabecalhoColuna2="Cod.";
			$cabecalhoColuna3="Endereço";
			$cabecalhoColuna4="Município";
			$cabecalhoColuna5="Telefone";
			$cabecalhoColuna6="Cep";
			$cabecalhoColuna7="RENASEM";
			$cabecalhoColuna8="e-mail";
			$cabecalhoColuna9="Apelido";

             $user = new remetentes();
			 $user->extras_select = "WHERE prd_id_lab=".$idLabo." order by prd_nome";
             $user->selecionaTudo($user);
			 $disparaCabecalho=1;
                while ($res = $user->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
				 	 $yCabecalho1=30;
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;
					 $pdf->Line($margemEsquerda,5,$margemDireita,5);//Horiz topo
					 $pdf->Line($margemEsquerda,5,$margemEsquerda,$futer);//vert esq
					 $pdf->Line($margemDireita,5,$margemDireita,$futer);//vert dir
					 $pdf->Line($margemEsquerda,$futer,$margemDireita,$futer);//horiz base
					 $pdf->SetFont('Arial','B',10);
					 $posicaoCab1=60;$posicaoCab2=185;
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	//linha vertical a direita do timbre
					 $pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',11,6,48,23,'JPG');//vai dentro de projeto28php/Imagens
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 //$pdf->setXY($posicaoCab1,5);
					 $pdf->SetFont('Arial','',10);
					 $pdf->setXY($posicaoCab1,5); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[0]),0,1,'L');//lab nome
					 $pdf->Cell($posicaoCab1-$margemEsquerda);$pdf->Cell(145,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');
					 $pdf->Cell($posicaoCab1-$margemEsquerda); $pdf->Cell(145,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');
					 
					 
					 $pdf->SetFont('Arial','',12);
		         	 $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell(100,5,utf8_decode('Lista de Requerentes:'),0,0,'L');//natureza
				     //$pdf->SetFont('Arial','',7);
					 $pdf->Cell(60,5,'Data:'.date(d).'/'. date(m).'/'. date(Y),0,0,'L');//natureza
		             $yCabecalho1+=10;
				     $pdf->SetFont('Arial','B',8);
		         	 $pdf->setXY($posicaox1,$yCabecalho1);
					 $pdf->Cell($larg1,5,utf8_decode($cabecalhoColuna1),1,0,'L');//nome
					 $pdf->Cell($larg2,5,utf8_decode($cabecalhoColuna2),1,0,'L');//nome
					 $pdf->Cell($larg3,5,utf8_decode($cabecalhoColuna3),1,0,'L');//end
					 $pdf->Cell($larg4,5,utf8_decode($cabecalhoColuna4),1,0,'L');//mun
					 $pdf->Cell($larg5,5,utf8_decode($cabecalhoColuna5),1,0,'L');//tel
					 $pdf->Cell($larg6,5,utf8_decode($cabecalhoColuna6),1,0,'L');//cep
					 $pdf->Cell($larg7,5,utf8_decode($cabecalhoColuna7),1,0,'L');//rena
					 $pdf->Cell($larg8,5,utf8_decode($cabecalhoColuna8),1,0,'L');//email
					 $pdf->Cell($larg9,5,utf8_decode($cabecalhoColuna9),1,0,'L');//apelidp
				     $pdf->SetFont('Arial','',7);
		             $yCabecalho1+=5;
			         $pdf->setXY($posicaox1,$yCabecalho1);
				 endif;

 
				 $pdf->SetFont('Arial','',7);
	         	 $pdf->setXY($posicaox1,$yCabecalho1);
                 if(strlen($res->prd_nome)>44)$pdf->SetFont('Arial','',6);
			     $pdf->Cell($larg1,3,utf8_decode($res->prd_nome),1,0,'L');//nome
				 $pdf->SetFont('Arial','',7);
				 $pdf->Cell($larg2,3,utf8_decode($res->prd_id),1,0,'L');//id
				 $pdf->Cell($larg3,3,utf8_decode($res->prd_endereco),1,0,'L');//end
				 $pdf->Cell($larg4,3, utf8_decode($res->prd_municipio),1,0,'L');//mun
				 $pdf->Cell($larg5,3,$res->prd_telefone,1,0,'L');//tel
				 $pdf->Cell($larg6,3,$res->prd_cep,1,0,'L');//
				 $pdf->Cell($larg7,3,$res->prd_renasem,1,0,'L');//
				 $pdf->Cell($larg8,3,$res->prd_email1,1,0,'L');//
				 $pdf->Cell($larg9,3,$res->prd_apelido,1,0,'L');//
				 if($yCabecalho1>$maximoHAdobe-25)$disparaCabecalho=1;//se ele chegou no rodape ele cria novo cabecalho
                 $yCabecalho1+=3;

             endwhile; //este while encerra a colecao de amostras   
			 
		$pdf->Output();
?>
